Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.pojo
Class PrescrizioneRiabilitativa

    java.lang.Object
      it.svimservice.nsisr.web.ws.prescrizioneriabilitativa.pojo.PrescrizioneRiabilitativa

    public class PrescrizioneRiabilitativa

extends java.lang.Object

Author:
  SantovitoM
  - 000204 = Controlli di correttezza della data di erogazione e della data di emissione della ricetta SSN
  - 000598 = Coerenza tra codice fiscale ed eventuali dati anagrafici dell'assistito specificati in input
  - 002317 = Occorre specificare i dati di un assistito o di un medico prescrittore qualora si specifica il codice ASL a cui sono convenzionate le strutture riabilitative

Constructor Summary
`PrescrizioneRiabilitativa()`

Method Summary
`PrescrizioneRiabilitativaGetResponse` | `getPrescrizioneRiabilitativa(AttributiAutorizzativi attributiAutorizzativi, PrescrizioneRiabilitativaGetRequest filtriPrescrizioneRiabilitativa)` Il web service consente di individuare una o più prescrizioni riabilitative che soddisfano i criteri di ricerca impostati.
`PrescrizioneRiabilitativaSetResponse` | `setPrescrizioneRiabilitativa(AttributiAutorizzativi attributiAutorizzativi, PrescrizioneRiabilitativaSetRequest prescrizioneRiabilitativa)` Il web service consente di registrare una prescrizione riabilitativa.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrescrizioneRiabilitativa

    public PrescrizioneRiabilitativa()

Method Detail

### getPrescrizioneRiabilitativa

    public PrescrizioneRiabilitativaGetResponse getPrescrizioneRiabilitativa(AttributiAutorizzativi attributiAutorizzativi,
                                                                             PrescrizioneRiabilitativaGetRequest filtriPrescrizioneRiabilitativa)

  Il web service consente di individuare una o più prescrizioni riabilitative che soddisfano i criteri di ricerca impostati. I possibili nessaggi di errore che possono essere generati sono:
  - 000090 = La data di erogazione non può essere antecedente alla data di rilascio
  - 000204 = Controlli di correttezza della data di erogazione e della data di emissione della ricetta SSN
  - 000598 = Coerenza tra codice fiscale ed eventuali dati anagrafici dell'assistito specificati in input
  - 002317 = Occorre specificare i dati di un assistito o di un medico prescrittore qualora si specifica il codice ASL a cui sono convenzionate le strutture riabilitative

  Parameters:
    `attributiAutorizzativi` -
    `filtriPrescrizioneRiabilitativa` - filtri di ricerca di una prestazione riabilitativa
  Returns:
    la prescrizione riabilitativa richiesta

### setPrescrizioneRiabilitativa

    public PrescrizioneRiabilitativaSetResponse setPrescrizioneRiabilitativa(AttributiAutorizzativi attributiAutorizzativi,
                                                                             PrescrizioneRiabilitativaSetRequest prescrizioneRiabilitativa)

  Il web service consente di registrare una prescrizione riabilitativa. I possibili nessaggi di errore che possono essere generati sono:
  - 000090 = La data di erogazione non può essere antecedente alla data di rilascio
  - 001767 = Impossibile effettuare l'operazione a causa della compilazione non coerente: almeno una prestazione riabilitativa non è convenzionata alla data erogazione, oppure numero di giornate richieste non compatibile con il trattamento selezionato
  - 000598 = Coerenza tra codice fiscale ed eventuali dati anagrafici dell'assistito specificati in input
  - 002328 = Il codice identificativo della ricetta SSN non è univoco in quanto è già presente in archivio
  - 002330 = La diagnosi non è attiva alla data di erogazione
  - 002331 = Il codice diagnosi indicato non è censito nel sistema come codice diagnosi ICDMC9 nota.
  - 002332 = La diagnosi non è compatibile con l'età dell'assitito
  - 002343 = La data di registrazione della prescrizione riabilitativa non può essere antecedente alla data di rilascio
  - 002344 = Il codice ISTAT del comune di residenza non è compatibile con il codice nazionale della ASL inserito.
  - 002345 = Non è stata individuata alcuna ASL per il codice istat del comune specificato. Verificare che tale codice sia corretto

  Parameters:
    `attributiAutorizzativi` -
    `prescrizioneRiabilitativa` - dati inerenti la prescrizione da inserire
  Returns:
    il risultato della registrazione della prescrizione riabilitativa nel Sistema Edotto

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD